<template>
    <Head>
        <title>Создание товарной категории</title>
    </Head>
    <div class="g-titlebar">
        <h1>Создание товарной категории</h1>
        <Link href="/product_categories/" class="right">
            <font-awesome-icon icon="rotate-left" />
            Вернуться к списку категорий
        </Link>
    </div>
    <form class="b-form" :class="{ loading: form.processing }" @submit.prevent="submit">
        <b-formrow title="Название" class="type_text" :error="errors.title">
            <el-input type="text" v-model="form.title" />
        </b-formrow>
        <b-formrow title="Ведущий Менеджер по Продажам" class="type_select" :error="errors.lead_sales_id">
            <el-select v-model="form.lead_sales_id" placeholder="Выберите">
                <el-option v-for="(oValue, oTitle) in teamUserNames" :key="oValue" :label="oValue" :value="oTitle" />
            </el-select>
        </b-formrow>
        <b-formrow>
            <button class="g-button">Создать товарную категорию</button>
        </b-formrow>
    </form>
</template>

<script>
import { router } from "@inertiajs/vue3";

export default {
    props: {
        teamUserNames: Object,
        errors: Object,
    },
    data() {
        return {
            form: {},
        };
    },
    methods: {
        submit() {
            router.post("/product_categories", this.form);
        },
    },
};
</script>

<style scoped></style>
